<div class="title-h2">
  Услуги
</div>
<p class="m-t-24">Ознакомьтесь с возможностями Росэлторг для быстрого старта в государственных и коммерческих торгах и закупках</p>
<div class="title-h3 m-t-24">
  Комплекты электронной подписи
</div>
<div class="services-container m-t-24">
  <mat-card class="m-8 service-card" *ngFor="let service of virtualSignatures">
    <mat-card-header>
      <div class="title-h3 m-t-24">
          {{service.title}}
      </div>
    </mat-card-header>
    <mat-card-content class="m-t-24">
      {{service.description}}
    </mat-card-content>
    <mat-card-footer class="d-flex flex-d-c services-grid-item-footer p-8">
      <div class="d-flex flex-d-r">
        <button mat-button
                color="primary"
           (click)="toggleDiscount(service)"
           *ngIf="!service.discountToggle"
        >
          Получить скидку
        </button>
      </div>
      <div class="d-flex flex-d-r align-items-center">
        <mat-button-toggle-group *ngIf="service.discountToggle">
          <mat-button-toggle (click)="setDiscount(service, 0)">Нет</mat-button-toggle>
          <mat-button-toggle (click)="setDiscount(service, 5)">5%</mat-button-toggle>
          <mat-button-toggle (click)="setDiscount(service, 10)">10%</mat-button-toggle>
          <mat-button-toggle (click)="setDiscount(service, 15)">15%</mat-button-toggle>
        </mat-button-toggle-group>
        <div class="m-l-12 d-flex flex-d-r align-items-center" *ngIf="service.discount > 0">{{getDiscountPrice(service.discount)}}<mat-icon [svgIcon]="BasicSvgIcon.Tree"/></div>
      </div>
      <button mat-raised-button
              color="primary"
              class="w-90 m-t-24 m-b-24"
              (click)="onBuy(service)"
      >
        Заказать <ng-container *ngIf="service.discount > 0">(-{{service.discount}}%)</ng-container>
      </button>
    </mat-card-footer>
  </mat-card>
</div>
